# $Revision: 1.8 $, $Date: 2005/12/31 10:36:33 $
Summary:	Tools to aid Ruby development
Summary(pl):	Narzdzia pomagajce przy programowaniu w jzyku Ruby
Name:		ruby-dev-utils
Version:	1.0.1
Release:	2
License:	GPL
Group:		Development/Languages
Source0:	http://rubyforge.org/frs/download.php/1678/dev-utils-%{version}.tgz
# Source0-md5:	4869bdb1d0f72ab015110797e691a530
URL:		http://dev-utils.rubyforge.org/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
%{?ruby_mod_ver_requires_eq}
Requires:	ruby-extensions
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dev-utils provides utilites to assist the process of developing Ruby
programs. At the moment, the target areas are debugging and unit
testing (planned).

%description -l pl
Pakiet dev-utils dostarcza narzdzia pomagajce przy procesie
tworzenia programw w jzyku Ruby. Aktualnie docelowe obszary to
odpluskwianie i testy jednostkowe (planowane).

%prep
%setup -q -n dev-utils-%{version}

%build
ruby setup.rb config \
	--rbdir=%{ruby_rubylibdir} \
	--sodir=%{ruby_archdir}

ruby setup.rb setup

rdoc -o rdoc/ --main README.txt README.txt lib/* --title "%{name} %{version}" --inline-source
rdoc --ri -o ri lib/*

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir}}

ruby setup.rb install --prefix=$RPM_BUILD_ROOT

cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc rdoc/*
%{ruby_rubylibdir}/dev-utils
%{ruby_ridir}/DevUtils

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-dev-utils.spec,v $
Revision 1.8  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.7  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.6  2005/12/27 10:07:59  twittner
- remove redundant BR: ruby-modules (BR: ruby-devel implies it)

Revision 1.5  2005/12/27 09:26:39  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.4  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.3  2004/10/30 12:12:23  qboosh
- pl

Revision 1.2  2004/10/28 05:25:02  aredridel
- R: ruby-extensions

Revision 1.1  2004/10/28 00:21:09  aredridel
- added
